본문으로 건너뛰기
G 기그 Open API v1

API 레퍼런스

매장

연결된 고용주 계정에 속한 매장을 조회한다. 매장 1개는 사업자등록번호 1개이며, 기그 사장님 계정 1개에 대응한다. 매장 목록은 연결(link)로 결정되므로 요청에 매장을 지정하지 않는다.

매장 목록

GET /stores stores:read

연결된 매장 전체를 조회한다. 연결하지 않은 매장은 나타나지 않는다.

!

status 는 폐업을 반영하지 못한다

기그에 폐업 여부를 나타내는 필드가 없다. 폐업한 매장이 목록에 남을 수 있으므로, 최근 근무 기록 유무로 판단하는 편이 정확하다.

쿼리 파라미터

이름타입설명
limit int페이지 크기. 기본 100
cursor string다음 페이지 커서

응답 필드

이름타입설명
store_id string불투명 식별자. 회원마다 값이 다르다
display_name string상호명
business_number string사업자등록번호
store_type enumdirect(직영) | franchise(가맹)
granted_scopes string[]이 매장에 허용된 스코프
cURL
curl -sS "https://developer.openapi.giig.app/api/v1/stores" \
  -H "Authorization: Bearer $GIG_ACCESS_TOKEN"
200 OK · application/json
{
  "data": [
    {
      "store_id": "",
      "display_name": "○○치킨 강남점",
      "business_number": "123-45-67890",
      "store_type": "direct",
      "status": "active",
      "staff_count": 12,
      "granted_scopes": ["staff:read", "attendance:read", "schedules:read"],
      "linked_at": "2026-09-01T10:00:00+09:00"
    }
  ],
  "next_cursor": null,
  "has_more": false
}
에러 · application/json
{
  "error": {
    "code": "range_too_large",
    "message": "...",
    "request_id": "req_01J8XQ4M2N7P"
  }
}

매장 단건

GET /stores/{store_id} stores:read

매장 하나의 상세 정보를 조회한다.

경로 파라미터

이름타입설명
store_id 필수string매장 식별자
cURL
curl -sS "https://developer.openapi.giig.app/api/v1/stores/" \
  -H "Authorization: Bearer $GIG_ACCESS_TOKEN"
200 OK · application/json
{
  "store_id": "",
  "display_name": "○○치킨 강남점",
  "business_number": "123-45-67890",
  "store_type": "direct",
  "status": "active",
  "staff_count": 12,
  "category": "한식",
  "granted_scopes": ["staff:read", "attendance:read"],
  "linked_at": "2026-09-01T10:00:00+09:00"
}
에러 · application/json
{
  "error": {
    "code": "store_not_found",
    "message": "...",
    "request_id": "req_01J8XQ4M2N7P"
  }
}